Bug 235071 - (CVE-2007-1797) CVE-2007-1797 Heap overflow in ImageMagick's DCM and XWD coders
CVE-2007-1797 Heap overflow in ImageMagick's DCM and XWD coders
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Norm Murray
http://labs.idefense.com/intelligence...
impact=moderate,source=cve,reported=2...
: Security
Depends On: 411331 411341 411351 411361 411371 411381 411391
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-03 14:05 EDT by Red Hat Product Security
Modified: 2010-08-04 15:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-04 15:51:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for CVE-2007-1797 ImageMagick's DCM and XWD (RHEL-4, RHEL-5, FC-5 and FC-6) (2.04 KB, patch)
2007-04-03 14:07 EDT, Lubomir Kundrak
no flags Details | Diff
Fix for CVE-2007-1797 ImageMagick's DCM and XWD (RHEL-3) (1.94 KB, patch)
2007-04-03 14:08 EDT, Lubomir Kundrak
no flags Details | Diff
Fix for CVE-2007-1797 ImageMagick's DCM and XWD (RHEL-2.1) (1.89 KB, patch)
2007-04-03 14:08 EDT, Lubomir Kundrak
no flags Details | Diff
Fix for CVE-2007-1797 ImageMagick's DCM and XWD (RHEL-3) (2.05 KB, patch)
2007-12-04 19:28 EST, Lubomir Kundrak
no flags Details | Diff
151596: Fix for CVE-2007-1797 ImageMagick's DCM and XWD (RHEL-2.1) (2.03 KB, patch)
2007-12-04 19:39 EST, Lubomir Kundrak
no flags Details | Diff

  None (edit)
Description Lubomir Kundrak 2007-04-03 14:05:30 EDT
Description of problem:

According to an iDefense advisory (see the URL), ImageMagick is vulnerable
to heap overflow flaws that can be triggered with crafted DCM and XWD files
and exploited to execute arbitrary code.

Version-Release number of selected component (if applicable):

        FC6 (6.2.8.0-3.fc6.1)
        FC5 (6.2.5.4-4.2.1.fc5.7)
        RHEL5 (6.2.8.0-3.el5.4)
        RHEL4 (6.0.7.1-17)
        RHEL3 (5.5.6-25)
        RHEL2.1 (5.3.8-18)

How reproducible:

Reproducers are not available at the time.

Additional info:

There are actually three bugs, one in DCM coder and two in XWD.
I attach my attempt to backport the fixes.
Comment 1 Lubomir Kundrak 2007-04-03 14:07:23 EDT
Created attachment 151594 [details]
Fix for CVE-2007-1797 ImageMagick's DCM and XWD (RHEL-4, RHEL-5, FC-5 and FC-6)
Comment 2 Lubomir Kundrak 2007-04-03 14:08:01 EDT
Created attachment 151595 [details]
Fix for CVE-2007-1797 ImageMagick's DCM and XWD (RHEL-3)
Comment 3 Lubomir Kundrak 2007-04-03 14:08:24 EDT
Created attachment 151596 [details]
Fix for CVE-2007-1797 ImageMagick's DCM and XWD (RHEL-2.1)
Comment 4 Norm Murray 2007-04-05 01:56:01 EDT
Patches are slightly incorrect. 

RHEL 2.1 and RHEL 3 - need 3 args to ThrowReaderException and don't have
AcquireMagickMemory. 

All patches have a memory leak in the first hunk of the xwd.c patch as they
weren't removing the old memory allocation for comment, just adding a new one at
the end of their insertion. 
Comment 5 Lubomir Kundrak 2007-12-04 19:28:44 EST
Created attachment 277491 [details]
Fix for CVE-2007-1797 ImageMagick's DCM and XWD (RHEL-3)
Comment 6 Lubomir Kundrak 2007-12-04 19:39:28 EST
Created attachment 277501 [details]
151596: Fix for CVE-2007-1797 ImageMagick's DCM and XWD (RHEL-2.1)
Comment 9 Red Hat Bugzilla 2009-10-23 15:03:08 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.
Comment 10 Josh Bressers 2010-08-04 15:51:13 EDT
This has been fixed.

Note You need to log in before you can comment on or make changes to this bug.